All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
thread.h File Reference
`#include <ptlib/mutex.h>`
`#include "unix/ptlib/thread.h"`

Go to the source code of this file.

## Classes

class | PThread
| This class defines a thread of execution in the system. More...
struct | PThread::Times
| Times for execution of the thread. More...
class | PThreadMain
| Define some templates to simplify the declaration of simple `PThread` descendants with one or two paramaters. More...
class | PThread1Arg< Arg1Type >
class | PThread2Arg< Arg1Type, Arg2Type >
class | PThread3Arg< Arg1Type, Arg2Type, Arg3Type >
class | PThreadObj< ObjType >
class | PThreadObj1Arg< ObjType, Arg1Type >
class | PThreadObj2Arg< ObjType, Arg1Type, Arg2Type >

## Macros

#define | PTHREAD_ID_FMT "0x%lx"

## Macro Definition Documentation

#define PTHREAD_ID_FMT "0x%lx"